org.fife.ui.rsyntaxtextarea.folding

## Class LatexFoldParser

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.folding.LatexFoldParser

All Implemented Interfaces:
  FoldParser

    public class LatexFoldParser
    extends Object
    implements FoldParser

A fold parser for LaTeX documents. This is likely incomplete and/or not quite right; feedback is appreciated.

Version:
  1.0
Author:
  Robert Futrell

### Constructor Summary

Constructors
Constructor and Description
`LatexFoldParser()`

### Method Summary

Methods
`List<Fold>` `getFolds(RSyntaxTextArea textArea)` Returns a list of all folds in the text area.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LatexFoldParser

    public LatexFoldParser()

### Method Detail

#### getFolds

    public List<Fold> getFolds(RSyntaxTextArea textArea)

Returns a list of all folds in the text area.

Specified by:
  `getFolds` in interface `FoldParser`
Parameters:
  `textArea` - The text area whose contents should be analyzed.
Returns:
  The list of folds. If this method returns `null`, it is treated as if no folds were found.